summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorChris Gianelloni <wolf31o2@gentoo.org>2003-07-18 18:40:22 +0000
committerChris Gianelloni <wolf31o2@gentoo.org>2003-07-18 18:40:22 +0000
commit8feb5c387732814a47320efefea415a73ef31836 (patch)
tree62dc00ecb27af39ff3e66f6fffdc25df7a1f723b /eclass/games.eclass
parentlicense for adom (diff)
downloadgentoo-2-8feb5c387732814a47320efefea415a73ef31836.tar.gz
gentoo-2-8feb5c387732814a47320efefea415a73ef31836.tar.bz2
gentoo-2-8feb5c387732814a47320efefea415a73ef31836.zip
Fix a bug in games_ut_unpack
Diffstat (limited to 'eclass/games.eclass')
-rw-r--r--eclass/games.eclass13
1 files changed, 9 insertions, 4 deletions
diff --git a/eclass/games.eclass b/eclass/games.eclass
index 87459e79e963..2720408c9079 100644
--- a/eclass/games.eclass
+++ b/eclass/games.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2003 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/games.eclass,v 1.42 2003/07/18 17:20:22 wolf31o2 Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/games.eclass,v 1.43 2003/07/18 18:40:22 wolf31o2 Exp $
#
# devlist: {bass,phoenix,vapier}@gentoo.org
#
@@ -149,20 +149,25 @@ games_verify_cd() {
# Unpack .uz(2) files for UT/UT2003
# $1: directory or file to unpack
games_ut_unpack() {
+ export UT_DATA_PATH=${Ddir}/System
+ LD_LIBRARY_PATH=${UT2003_DATA_PATH}:${LD_LIBRARY_PATH}
if [ -z "${ut_unpack}" ]; then
die "You must provide an argument to games_ut_unpack"
fi
if [ -f "${ut_unpack}" ]; then
- ./ucc decompress ${ut_unpack} --nohomedir || die "uncompressing file ${ut_unpack}"
+ cd "${UT_DATA_PATH}"
+ ./ucc-bin decompress ${ut_unpack} --nohomedir || die "uncompressing file ${ut_unpack}"
fi
if [ -d "${ut_unpack}" ]; then
for f in `find ${ut_unpack} -name '*.uz' -printf '%f'` ; do
- ./ucc decompress ${ut_unpack}/${f} --nohomedir || die "uncompressing file ${f}"
+ cd "${UT_DATA_PATH}"
+ ./ucc-bin decompress ${ut_unpack}/${f} --nohomedir || die "uncompressing file ${f}"
mv System/${f:0:${#f}-3} ${ut_unpack} || die "moving file ${f}
rm ${ut_unpack}/${f} || die "deleting compressed file ${f}"
done
for f in `find ${ut_unpack} -name '*.uz2' -printf '%f'` ; do
- ./ucc decompress ${ut_unpack}/${f} --nohomedir || die "uncompressing file ${f}"
+ cd "${UT_DATA_PATH}"
+ ./ucc-bin decompress ${ut_unpack}/${f} --nohomedir || die "uncompressing file ${f}"
#mv System/${f:0:${#f}-4} ${ut_unpack} || die "moving file ${f}
rm ${ut_unpack}/${f} || die "deleting compressed file ${f}"
done